# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementResp

Packages that use TExecuteStatementResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TExecuteStatementResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TExecuteStatementResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.ExecuteStatement_call`
`static class`
`TCLIService.AsyncProcessor.ExecuteStatement<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TExecuteStatementResp
Modifier and Type
Class
Description
`class`
`TExecuteStatementResp`
`class`
`TExecuteStatementResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TExecuteStatementResp
Modifier and Type
Field
Description
`TExecuteStatementResp`
TCLIService.ExecuteStatement_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TExecuteStatementResp
Modifier and Type
Method
Description
`TExecuteStatementResp`
TExecuteStatementResp.`deepCopy()`
`TExecuteStatementResp`
TCLIService.Client.`ExecuteStatement(TExecuteStatementReq req)`
`TExecuteStatementResp`
TCLIService.Iface.`ExecuteStatement(TExecuteStatementReq req)`
`TExecuteStatementResp`
TCLIService.AsyncClient.ExecuteStatement_call.`getResult()`
`TExecuteStatementResp`
TCLIService.ExecuteStatement_result.`getSuccess()`
`TExecuteStatementResp`
TCLIService.Client.`recv_ExecuteStatement()`
`TExecuteStatementResp`
TExecuteStatementResp.`setDirectResults(TSparkDirectResults directResults)`
`TExecuteStatementResp`
TExecuteStatementResp.`setOperationHandle(TOperationHandle operationHandle)`
`TExecuteStatementResp`
TExecuteStatementResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TExecuteStatementResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp>`
TCLIService.AsyncProcessor.ExecuteStatement.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TExecuteStatementResp
Modifier and Type
Method
Description
`int`
TExecuteStatementResp.`compareTo(TExecuteStatementResp other)`
`boolean`
TExecuteStatementResp.`equals(TExecuteStatementResp that)`
`TCLIService.ExecuteStatement_result`
TCLIService.ExecuteStatement_result.`setSuccess(TExecuteStatementResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TExecuteStatementResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`void`
TCLIService.AsyncIface.`ExecuteStatement(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.ExecuteStatement.`start(I iface, TCLIService.ExecuteStatement_args args, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TExecuteStatementResp
Modifier
Constructor
Description
``
`ExecuteStatement_result(TExecuteStatementResp success)`
``
`TExecuteStatementResp(TExecuteStatementResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TExecuteStatementResp
Modifier
Constructor
Description
``
`ExecuteStatement_call(TExecuteStatementReq req, org.apache.thrift.async.AsyncMethodCallback<TExecuteStatementResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`